Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6636476

unable to use jre 1.4.2 Plug-in in IE when jre 5.0+ is installed

    Details

    • Subcomponent:
    • Resolved In Build:
      a
    • CPU:
      x86
    • OS:
      windows_xp

      Description

      In following document, it illustrates how user can use jre 1.4.2 plugin when he also has jre 5.0 or 6 installed in his system.
      http://java.sun.com/javase/6/docs/technotes/guides/deployment/deployment-guide/jcp.html#java

      However, I tried this procedure on several configs and found that in all cases, version 1.4.2_15 Plug-in didn't run in IE. Either jre 5.0 or 6 was used to launch applet.

      XP SP2, IE6, jre1.5.0_15
      XP SP2, IE6, jre1.6.0_03
      Vista, IE7, jre1.5.0_15
      Vista, IE7, jre1.6.0_03

      All windows tested are Japanese versions.
      IE6 version: 6.0.2900.2180.xpsp_sp2_gdr.070227-2254
      IE7 version: 7.0.6000.16386
      I fixed this issue by adding a note in the jcp.html as below.

      Above mentioned example only applies to pre-1.5.0_06 (pre-SSV) versions of the plugin. See the changes in 1.5.0_06 version (http://java.sun.com/j2se/1.5.0/ReleaseNotes.html#150_06). However, the new Java Plug-in technology introduced in JDK 6u10 would enable the user to choose the version of JRE, using different version selection mechanisms, as described in the New Java Plug-in release notes (http://java.sun.com/javase/6/webnotes/6u10/plugin2/version-selection/index.html#MECHANISMS).

      This should be online in jsc/javase/6/docs website within 24 hrs.
      - Jacob Royal

        Attachments

          Activity

            People

            • Assignee:
              jtroyal Jacob Royal (Inactive)
              Reporter:
              ogino Shinya Ogino (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Imported:
                Indexed: